package de.tudarmstadt.informatik.hostage.persistence;

import android.provider.BaseColumns;

public final class HostageDBContract {

	public static abstract class NetworkEntry implements BaseColumns {
		public static final String TABLE_NAME = "network";
		public static final String COLUMN_NAME_BSSID = "_bssid";
		public static final String COLUMN_NAME_SSID = "ssid";
		public static final String COLUMN_NAME_LATITUDE = "latitude";
		public static final String COLUMN_NAME_LONGITUDE = "longitude";
		public static final String COLUMN_NAME_ACCURACY = "accuracy";
		public static final String COLUMN_NAME_GEO_TIMESTAMP = "geo_timestamp";

		public static final String KEY_ID = COLUMN_NAME_BSSID;
	}

	public static abstract class AttackEntry implements BaseColumns {
		public static final String TABLE_NAME = "attack";
		public static final String COLUMN_NAME_ATTACK_ID = "_attack_id";
		public static final String COLUMN_NAME_PROTOCOL = "protocol";
		public static final String COLUMN_NAME_EXTERNAL_IP = "externalIP";
		public static final String COLUMN_NAME_LOCAL_IP = "localIP";
		public static final String COLUMN_NAME_LOCAL_PORT = "localPort";
		public static final String COLUMN_NAME_REMOTE_IP = "remoteIP";
		public static final String COLUMN_NAME_REMOTE_PORT = "remotePort";
		public static final String COLUMN_NAME_BSSID = "_bssid";

		public static final String KEY_ID = COLUMN_NAME_ATTACK_ID;
	}

	public static abstract class PacketEntry implements BaseColumns {
		public static final String TABLE_NAME = "packet";
		public static final String COLUMN_NAME_ID = "_id";
		public static final String COLUMN_NAME_ATTACK_ID = "_attack_id";
		public static final String COLUMN_NAME_TYPE = "type";
		public static final String COLUMN_NAME_PACKET_TIMESTAMP = "packet_timestamp";
		public static final String COLUMN_NAME_PACKET = "packet";

		public static final String KEY_ID = COLUMN_NAME_ID;
	}

}
